"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-11.0-arm64-cpython-313/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x106f75ee0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x106f75f80>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106f76020>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x106f760c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x106f76160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x106f76200>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106f762a0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106f76340>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106f763e0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x106f76480>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x106f76520>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x106f765c0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x106f76660>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x106f76700>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x106f767a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x106f76840>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x106f768e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x106f76980>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x106f76a20>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x106f76ac0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x106f76b60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x106f76c00>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x106f76ca0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x106f76d40>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x106f76de0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x106f76e80>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x106f76f20>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x106f76fc0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x106f77060>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x106f77100>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x106f771a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x106f77240>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x106f772e0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x106f77380>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x106f77420>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x106f774c0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x106f77560>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x106f77600>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106f776a0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106f77740>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x106f777e0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x106f77880>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x106f77920>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x106f779c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x106f77a60>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x106f77b00>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x106f77ba0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106f77c40>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x106f77ce0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x106f77d80>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x106f77e20>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x106f77ec0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x106f77f60>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4040>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x106fb40e0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4180>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4220>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb42c0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4360>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4400>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb44a0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4540>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x106fb45e0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4680>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4720>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x106fb47c0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4860>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4900>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x106fb49a0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4a40>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4ae0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4b80>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4c20>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4cc0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4d60>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4e00>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4ea0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4f40>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x106fb4fe0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x106fb5080>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x106fb51c0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x106fb5120>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x106fb5260>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x106fb5300>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x106fb53a0>)]
name: str = 'fr_HOCCN'
